> ## Documentation Index
> Fetch the complete documentation index at: https://docs.acedata.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate an QR code



## OpenAPI

````yaml /openapi/qrart.json post /qrart/generate
openapi: 3.0.0
info:
  title: Art QR Code Generation
  version: 1.0.0
  description: API reference for Art QR Code Generation on Ace Data Cloud.
servers:
  - url: https://api.acedata.cloud
    description: Ace Data Cloud API
security:
  - bearerAuth: []
paths:
  /qrart/generate:
    post:
      summary: Generate an QR code
      parameters:
        - in: header
          name: accept
          schema:
            enum:
              - application/json
            type: string
          required: false
          description: Qrart Generate Param Accept
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - type
                - prompt
              properties:
                ecl:
                  enum:
                    - L
                    - M
                    - Q
                    - H
                  type: string
                  description: Qrart Generate Ecl
                qrw:
                  type: number
                  description: Qrart Generate Qrw
                seed:
                  type: number
                  description: Qrart Generate Seed
                type:
                  enum:
                    - link
                    - text
                    - email
                    - phone
                    - sms
                  type: string
                  description: Qrart Generate Type
                steps:
                  type: number
                  description: Qrart Generate Steps
                preset:
                  enum:
                    - sunset
                    - floral
                    - snowflakes
                    - feathers
                    - raindrops
                    - ultra-realism
                    - epic-realms
                    - intricate-studio
                    - symmetric-masterpiece
                    - luminous-highway
                    - celestial-journey
                    - neon-mech
                    - ethereal-low-poly
                    - golden-vista
                    - cinematic-expanse
                    - cinematic-warm
                    - desolate-wilderness
                    - vibrant-palette
                    - enigmatic-journey
                    - timeless-cinematic
                    - regal-galaxy
                    - illustrious-canvas
                    - expressive-mural
                    - serene-haze
                  type: string
                  description: Qrart Generate Preset
                prompt:
                  type: string
                  example: mexican tacos
                  description: Qrart Generate Prompt
                rawurl:
                  type: boolean
                  description: Qrart Generate Rawurl
                rotate:
                  enum:
                    - 0
                    - 90
                    - 180
                    - 270
                  type: number
                  description: Qrart Generate Rotate
                content:
                  type: string
                  example: https://platform.acedata.cloud
                  description: Qrart Generate 2
                pattern:
                  enum:
                    - custom
                    - s1
                    - s2
                    - s3
                    - rd1
                    - rd2
                    - rd3
                    - d1
                    - d2
                    - d3
                    - r1
                    - r2
                    - r3
                    - c1
                    - c2
                    - c3
                    - sq1
                    - sq2
                    - sq3
                  type: string
                  description: Qrart Generate Pattern
                position:
                  enum:
                    - center
                    - top
                    - right
                    - bottom
                    - left
                    - top-left
                    - top-right
                    - bottom-left
                    - bottom-right
                  type: string
                  description: Qrart Generate Position
                sub_marker:
                  enum:
                    - square
                    - circle
                    - box
                    - random
                    - plus
                  type: string
                  description: Qrart Generate Sub Marker
                pixel_style:
                  enum:
                    - square
                    - rounded
                    - dot
                    - squircle
                    - row
                    - column
                  type: string
                  description: Qrart Generate Pixel Style
                aspect_ratio:
                  enum:
                    - '1:1'
                    - '16:9'
                    - '9:16'
                    - '4:3'
                    - '3:4'
                  type: string
                  description: Qrart Generate Aspect Ratio
                callback_url:
                  type: string
                  example: https://webhook.site/b3b2f950-d68f-4cc4-b931-667367bff1e3
                  description: Qrart Generate Callback Url
                async:
                  type: boolean
                  description: Qrart Generate Async
                marker_shape:
                  enum:
                    - square
                    - circle
                    - plus
                    - box
                    - octagon
                    - random
                    - tiny-plus
                  type: string
                  description: Qrart Generate Marker Shape
                padding_level:
                  enum:
                    - 0
                    - 5
                    - 10
                    - 15
                    - 20
                  type: number
                  description: Qrart Generate Padding Level
                padding_noise:
                  enum:
                    - 0
                    - 0.25
                    - 0.5
                    - 0.75
                    - 1
                  type: number
                  description: Qrart Generate Padding Noise
                content_image_url:
                  type: string
                  description: Qrart Generate Content Image Url
            example:
              type: link
              prompt: mexican tacos
              content: https://platform.acedata.cloud
              callback_url: https://webhook.site/b3b2f950-d68f-4cc4-b931-667367bff1e3
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  seed:
                    type: number
                    description: Qrart Generate Response 200 Seed
                  task_id:
                    type: string
                    description: Qrart Generate Response 200 Task Id
                  image_url:
                    type: string
                    description: Qrart Generate Response 200 Image Url
                  image_width:
                    type: string
                    description: Qrart Generate Response 200 Image Width
                  image_height:
                    type: string
                    description: Qrart Generate Response 200 Image Height
              example:
                seed: 8854035076374666
                task_id: 29393080-1800-418a-a05c-67f94f33059e
                image_url: https://cdn.acedata.cloud/lnqiye.png
                image_width: 768
                image_height: 768
          description: Qrart Generate Response 200
        '400':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      code: token_mismatched
                      detail: The specified token is not matched with API.
                    properties:
                      code:
                        type: string
                        example: token_mismatched
                      detail:
                        type: string
                        example: The specified token is not matched with API.
                  - type: object
                    example:
                      code: api_not_implemented
                      detail: The API is not implemented.
                    properties:
                      code:
                        type: string
                        example: api_not_implemented
                      detail:
                        type: string
                        example: The API is not implemented.
          description: Qrart Generate Response 400
        '401':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      code: invalid_token
                      detail: The specified token is invalid or wrong.
                    properties:
                      code:
                        type: string
                        example: invalid_token
                      detail:
                        type: string
                        example: The specified token is invalid or wrong.
          description: Qrart Generate Response 401
        '403':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      code: forbidden
                      detail: >-
                        Sorry! Our Al moderators feel your prompt might be
                        against our community standards.
                    properties:
                      code:
                        type: string
                        example: forbidden
                      detail:
                        type: string
                        example: >-
                          Sorry! Our Al moderators feel your prompt might be
                          against our community standards.
          description: Qrart Generate Response 403
        '429':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      code: too_many_requests
                      detail: You have exceeded the rate limit.
                    properties:
                      code:
                        type: string
                        example: too_many_requests
                      detail:
                        type: string
                        example: You have exceeded the rate limit.
          description: Qrart Generate Response 429
        '500':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      code: api_error
                      detail: Internal server error.
                    properties:
                      code:
                        type: string
                        example: api_error
                      detail:
                        type: string
                        example: Internal server error.
          description: Qrart Generate Response 500
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API token from https://platform.acedata.cloud

````